Subject: Re: [PATCH net-next] net: ethernet: mtk-ppe: fix traffic offload with bridged wlan

From: Jakub Kicinski <[email-masked]>
Date: Tue, 19 Jul 2022 17:40:38 -0700

On Mon, 18 Jul 2022 20:36:39 +0200 Lorenzo Bianconi wrote:
> A typical flow offload scenario for OpenWrt users is routed traffic
> received by the wan interface that is redirected to a wlan device
> belonging to the lan bridge. Current implementation fails to
> fill wdma offload info in mtk_flow_get_wdma_info() since odev device is
> the local bridge. Fix the issue running dev_fill_forward_path routine in
> mtk_flow_get_wdma_info in order to identify the wlan device.

AFAIU this will conflict with 53eb9b04560c ("net: ethernet: mtk_ppe:
fix possible NULL pointer dereference in mtk_flow_get_wdma_info")? 
We merge net -> net-next every Thu, please wait for that to happen 
and then repost. Conflicting patches are extra work for Stephen and
for me.